.\"	$NetBSD: tpctl.8,v 1.3 2003/02/25 10:36:21 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 25, 2002
.Dt TPCTL 8
.Os
.Sh NAME
.Nm tpctl
.Nd touch panel calibration utility
.Sh SYNOPSIS
.Nm
.Bk -words
.Op Fl D Ar dispdevname
.Ek
.Bk -words
.Op Fl d Ar devname
.Ek
.Bk -words
.Op Fl f Ar filename
.Ek
.Op Fl hnuv
.Sh DESCRIPTION
.Nm
is a touch panel calibration utility.
.Nm
calibrates a touch panel and saves and restores the calibration parameters
into/from a parameter database file.
.Pp
Available command-line flags are:
.Bl -tag -width dispdevnameXXXX -compact
.It Fl D Ar dispdevname
Specify display device name.
.It Fl d Ar devname
Specify touch panel device name.
.It Fl f Ar filename
Specify alternate parameter database file name.
.It Fl h
Print brief description.
.It Fl n
Do not change the parameter database file.
.It Fl u
Force calibration.
Without this flag,
.Nm
won't do calibration if the database file already contains parameters
for the touch panel.
.It Fl v
Verbose mode.
.El
.Pp
You calibrate the touch panel the first time you run
.Nm .
If you see a cross cursor on the screen, you should tap the center of
the cursor to calibrate the touch panel, or you can abort the
calibration with the
.Sq ESC
key.
Five cursors will appear on the screen in turn.
Once calibration is done,
.Nm
saves the calibration parameters into the database file and uses the saved
parameters to calibrate the touch panel.
.Pp
You can run
.Nm
automatically with
.Pa /etc/rc.d/tpctl .
.Sh FILES
.Bl -tag -width /etc/tpctl.dat -compact
.It Pa /etc/tpctl.dat
The default calibration parameter database file.
The
.Fl f
flag may be used to specify an alternate database file name.
.Nm
will create an empty database file if it doesn't exist.
.It Pa /dev/ttyE0
The default display device, which is used to display the cursor during
calibration.
The
.Fl D
flag may be used to specify an alternate display device name.
The display device must provide the
.Sq hpcfb
interface as defined in
.Pa /usr/include/dev/hpc/hpcfbio.h .
.It Pa /dev/wsmux0
The default touch panel device.
The
.Fl d
flag may be used to specify an alternate touch panel device name.
.El
.Sh SEE ALSO
.Xr rc.conf 5
.Sh BUGS
.Nm
isn't available on all ports because it requires a display device which
provides the
.Sq hpcfb
interface.
